### Method

# Gtk.CellAreaContext.get_preferred_height_for_width

#### Declaration [src]

    void
    gtk_cell_area_context_get_preferred_height_for_width (
      GtkCellAreaContext* context,
      int width,
      int* minimum_height,
      int* natural_height
    )

#### Description [src]

Gets the accumulative preferred height for `width` for all rows which have been requested for the same said `width` with this context.

After `gtk_cell_area_context_reset()` is called and/or before ever requesting the size of a `GtkCellArea`, the returned values are -1.

#### Parameters

`width` | `int`
| a proposed width for allocation
`minimum_height` | `int*`
| location to store the minimum height, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`natural_height` | `int*`
| location to store the natural height, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee